# Somali

@Serializable(with = IetfLanguageCodeSerializer::class )
sealed class Somali : IetfLanguageCode (source)

#### Inheritors

DJ
ET
KE
SO
Companion

## Types

Companion
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object Companion : IetfLanguageCode.Somali
DJ
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object DJ : IetfLanguageCode.Somali
ET
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object ET : IetfLanguageCode.Somali
KE
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object KE : IetfLanguageCode.Somali
SO
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object SO : IetfLanguageCode.Somali

## Properties

code
Link copied to clipboard
open override val code : String
withoutDialect
Link copied to clipboard
open override val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLanguageCode . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLanguageCode ?. toJavaLocaleOrDefault (): Locale
toString
Link copied to clipboard
open override fun toString (): String